import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const provincePaymentByWeightGetKillHousesService = createAsyncThunk(
  "PROVINCE_PAYMENT_GET_KILLHOUSES",
  async (d, { dispatch }) => {
    try {
      dispatch(LOADING_START());
      const { data, status } = await axios.get(
        "detail_general_killhouse_wage/",
        {
          params: {
            date1: d.withDate ? d.selectedDate1 : "null",
            date2: d.withDate ? d.selectedDate2 : "null",
            search: "filter",
            value: d.textValue,
            role: getRoleFromUrl(),
          },
        }
      );
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e.response.data };
    }
  }
);
